.news-section-2 .news-content {
  position: relative;
  width: 100%;
}

.news-section-2 .news-content.grid {
  display: grid;
  gap: var(--grid-vertical-gap) var(--grid-horizontal-gap);
}

.news-section-2  .swiper-slide {
  height: auto;
}

.news-section-2 .swiper-slide .item-card {
  height: 100%;
}

.news-section-2 .item-horizontal .item-image {
  width: 40%;
}

.news-section-2 .swiper-button-prev.hover,
.news-section-2 .swiper-button-next.hover {
  opacity: 0;
}

.news-section-2 .news-content:hover .swiper-button-prev,
.news-section-2 .news-content:hover .swiper-button-next {
  opacity: 1;
}

.news-section-2 .news-content:hover .swiper-button-prev.swiper-button-disabled,
.news-section-2 .news-content:hover .swiper-button-next.swiper-button-disabled {
  opacity: 0.35;
}

.news-section-2 .swiper-button-prev,
[dir="rtl"] .news-section-2 .swiper-button-next {
  left: 0;
  right: unset;
  transform: translateX(-50%);
}
.news-section-2 .swiper-button-next,
[dir="rtl"] .news-section-2 .swiper-button-prev {
  left: unset;
  right: 0;
  transform: translateX(50%);
}

.news-section-2 .swiper-pagination {
  position: static;
}
.news-section-2 .swiper-pagination.swiper-pagination-lock {
  display: none;
}

@media (max-width: 991px) {
  .news-section-2 .news-content.grid {
    grid-template-columns: repeat(2, 1fr) !important;
  }

  .news-section-2 .swiper-button-prev,
  .news-section-2 .swiper-button-next {
    display: none;
  }

  .news-section-2 .swiper-pagination {
    display: block;
  }
}

@media (max-width: 767px) {
  .news-section-2 .item-card.item-horizontal {
    flex-direction: column;
  }
  .news-section-2 .item-card.item-horizontal .item-image {
    width: 100%;
  }
}

@media (max-width: 479px) {
  .news-section-2 .news-content.grid {
    grid-template-columns: repeat(1, 1fr) !important;
  }
}